Subject: Re: [RFC] Device tree for new desktop platform in arch/powerpc

From: "Gerhard Pircher" <[email-masked]>
Date: Thu, 21 Jun 2007 15:28:51 +0200

-------- Original-Nachricht --------
Datum: Thu, 21 Jun 2007 22:42:13 +1000
Von: Benjamin Herrenschmidt <[email-masked]>
An: David Gibson <[email-masked]>
CC: Gerhard Pircher <[email-masked]>, [email-masked], list <[email-masked]>
Betreff: Re: [RFC] Device tree for new desktop platform in arch/powerpc

> > >               interrupt-controller;
> > >               reg = <20 2 a0 2 4d0 2>;
> > >               reserved-interrupts = <2>;
> 
> I'm currious about the above though, what is it ?

Quote from the CHRP ISA interrupt controller device binding document:
“reserved-interrupts”
Standard property name to define reserved interrupts.
prop-encoded-array: An integer array, encoded with encode-int.
The value of this property shall be a list of ISA interrupts which cannot
be assigned due to cascading, wiring, or other reasons. Only the irq# part
of the property is pertinent to this use.
- End -

> > >               #address-cells = <1>;
> 
> Why #address-cells set to 1 ? In a PIC node, in fact, I would expect it
> to be 0 to avoid any spurrious "reg" matching for interrupts.
Yeah, I got them wrong almost everywhere.

regards,

Gerhard
-- 
GMX FreeMail: 1 GB Postfach, 5 E-Mail-Adressen, 10 Free SMS.
Alle Infos und kostenlose Anmeldung: http://www.gmx.net/de/go/freemail